Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface DaoPackage

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DaoPackage

extends org.eclipse.emf.cdo.CDOObject

A representation of the model object 'Dao Package'. Raggruppamento logico di DataAccessObject

The following features are supported:

- `Name`
- `Dao`

See Also:
  `DatagenPackage.getDaoPackage()`

Method Summary
`org.eclipse.emf.common.util.EList<DataAccessObject>` | `getDao()` Returns the value of the 'Dao' containment reference list.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  nome logico del package. deve essere un identificativo valido per un package java

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DatagenPackage.getDaoPackage_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getDao

    org.eclipse.emf.common.util.EList<DataAccessObject> getDao()

  Returns the value of the 'Dao' containment reference list. The list contents are of type `DataAccessObject`.

  If the meaning of the 'Dao' containment reference list isn't clear, there really should be more of a description here...

  Elenco dei DataAccessObject contenuti nel package.

  Returns:
    the value of the 'Dao' containment reference list.
  See Also:
    `DatagenPackage.getDaoPackage_Dao()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD